| OLD | NEW |
| 1 #!/bin/bash | 1 #!/bin/bash |
| 2 | 2 |
| 3 # Copyright (c) 2009 The Chromium OS Authors. All rights reserved. | 3 # Copyright (c) 2009 The Chromium OS Authors. All rights reserved. |
| 4 # Use of this source code is governed by a BSD-style license that can be | 4 # Use of this source code is governed by a BSD-style license that can be |
| 5 # found in the LICENSE file. | 5 # found in the LICENSE file. |
| 6 | 6 |
| 7 # Load common constants. This should be the first executable line. | 7 # Load common constants. This should be the first executable line. |
| 8 # The path to common.sh should be relative to your script's location. | 8 # The path to common.sh should be relative to your script's location. |
| 9 . "$(dirname "$0")/common.sh" | 9 . "$(dirname "$0")/common.sh" |
| 10 | 10 |
| 11 assert_inside_chroot |
| 12 assert_not_root_user |
| 13 |
| 11 # Flags | 14 # Flags |
| 12 | 15 |
| 13 # Parse command line | 16 # Parse command line |
| 14 FLAGS "$@" || exit 1 | 17 FLAGS "$@" || exit 1 |
| 15 eval set -- "${FLAGS_ARGV}" | 18 eval set -- "${FLAGS_ARGV}" |
| 16 | 19 |
| 17 # Die on error; print commands | 20 # Die on error; print commands |
| 18 set -e | 21 set -e |
| 19 | 22 |
| 20 PLATFORM_DIR="$SRC_ROOT/platform" | 23 PLATFORM_DIR="$SRC_ROOT/platform" |
| 21 PLATFORM_DIRS="pam_google window_manager cryptohome" | 24 PLATFORM_DIRS="pam_google window_manager cryptohome" |
| 22 | 25 |
| 23 # Build tests | 26 # Build tests |
| 24 for i in $PLATFORM_DIRS | 27 for i in $PLATFORM_DIRS |
| 25 do | 28 do |
| 26 echo "building $PLATFORM_DIR/$i" | 29 echo "building $PLATFORM_DIR/$i" |
| 27 cd "$PLATFORM_DIR/$i" | 30 cd "$PLATFORM_DIR/$i" |
| 28 ./make_tests.sh | 31 ./make_tests.sh |
| 29 cd - | 32 cd - |
| 30 done | 33 done |
| 31 | 34 |
| 32 echo "All tests built." | 35 echo "All tests built." |
| OLD | NEW |